Custom Query (196 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (169 - 171 of 196)

Ticket Owner Reporter Resolution Summary
#100 ezyang wontfix .txt should be a trusted extension
Description

The primary concern with this is that the behavior of scripts.mit.edu has been to disallow .txt files, so user expectation may be in this direction. Thus, I am curious:

  1. How support requests we have gotten because someone published a txt file and it wasn't visible, and
  1. How many .txt files live in web_scripts in all of our users?

Ticket #92 is related.

#110 geofft fixed the WordPress URL hack breaks pingbacks (and other XMLRPC stuff)
Description

We have a hack that sets "WordPress? URL" to /~user/blog and "Blog URL" to http://user.scripts.mit.edu/blog. This seems to break pingbacks; if you set "WordPress? URL" to the full URL, and leave "Blog URL" blank so it defaults to the WordPress? URL setting, pingbacks start working.

#113 adehnert adehnert fixed Django auto-installs on a machine where USER != ATHENA_USER get wrong email address
Description

Currently, the Django auto-installer bakes the username of the running user into settings.py as the email address in the ADMINS variable. On a debathena-standard machine where $USER and $ATHENA_USER don't match, this will result in mail relating to your autoinstall going to $USER@… instead of $ATHENA_USER@…. This seems unfortunate.

So far as I can tell, the semantics of the "human" argument to the onserver scripts is something like "Athena username". Assuming that's the case, I think the patch below will fix this bug, though I'm not actually sure how to test it, so I haven't.

Index: locker/deploy/bin/onathena
===================================================================
--- locker/deploy/bin/onathena	(revision 1454)
+++ locker/deploy/bin/onathena	(working copy)
@@ -256,7 +256,7 @@
 fi
 cd "$origdir"
 
-vsshrun "deploy$scriptsdev/bin/$deploy" "$sname" "$deploy" "$addrend" "$admin_username" "$requires_sql" "$scriptsdev" "$USER" || die "Unknown failure during configuration"
+vsshrun "deploy$scriptsdev/bin/$deploy" "$sname" "$deploy" "$addrend" "$admin_username" "$requires_sql" "$scriptsdev" "${ATHENA_USER:-$USER}" || die "Unknown failure during configuration"
 rm -f "$lroot/web_scripts/$addrend/.scripts-tmp"
 checkfailed
Note: See TracQuery for help on using queries.